For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all owners
        • GETGet an owner by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineOwners

Get all owners

GET
/v1/owners/
GET
/v1/owners/
$curl https://api.propexo.com/v1/owners/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "65",
18 "x_property_id": "87",
19 "x_location_id": null,
20 "address_1": "122 Bay Avenue",
21 "address_2": "Suite 3",
22 "city": "San Francisco",
23 "country": "US",
24 "state": "CA",
25 "zip": "12374",
26 "first_name": "John",
27 "middle_name": "Henry",
28 "last_name": "Doe",
29 "company_name": null,
30 "notes": null,
31 "email_1": "john.doe@test.com",
32 "email_2": null,
33 "phone_1": "(555) 555-5555",
34 "phone_1_type": null,
35 "phone_2": null,
36 "phone_2_type": null,
37 "associated_property_ids": [
38 "cm22ciaag4068540708shp6tp1a0gtdj"
39 ],
40 "integration_id": "clwh5u07w000508me66sfh3um",
41 "integration_vendor": "RENTVINE",
42 "property_id": "clwi5xiix000008l6ctdgafyh"
43 }
44 ]
45}
Get all owners
Was this page helpful?
Previous

Get an owner by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error